[WordPress]5.5

またアップグレードの催促があったので、【アップグレード】ボタンを押した。

なぜ、自動アップグレードしない。?

$nslookup  {このサーバーのお名前}

するとグローバルなIPアドレスしか出てこない。

そりゃ無理です。

そのせいか?
編集画面・左上のW印の「記事一覧を表示」をクリックすると、WordPressの案内ページにジャンプするのでとても使いにくい。

ルータにループバックさせればいいけど、ルータ調整中に無限ループするとかなり面倒な事になるので、

127.0.0.1   {このサーバーのお名前}

にした。

これで自動的にアップグレードやバックアップが動くはず。

ついでに、dnf updateしたら、Listen 443 設定が被っているので停止になった。

あれこれ調べたら、/etc/conf.d/ssl.conf を消して、vhost.confの名前でVirtualHostの設定をしていたから、Updateで自動的に/etc/conf.d/ssl.confが復元されていたせいだった。消したのでOK。

$ httpd -t
Syntax OK

ついでにSELINUXもtargetedになっていたので、disableに直した。

まだ変だな?

AM/PM表記を、24時間表記に変更。

カレンダーの週の初めが月曜になっているので日曜に変更。

php 7.2 では古いらしい。

# dnf -y install https://rpms.remirepo.net/enterprise/remi-release-8.rpm
# # dnf module list php
最速のミラーを確定しています (41 hosts).. done. ---  B/s |   0  B     --:-- ETA
Remi's Modular repository for Enterprise Linux  182 kB/s | 576 kB     00:03
Safe Remi's RPM repository for Enterprise Linux 1.5 MB/s | 1.5 MB     00:01
CentOS-8 - AppStream
Name     Stream         Profiles                       Summary
php      7.2 [d][e]     common [d], devel, minimal     PHP scripting language
php      7.3            common [d], devel, minimal     PHP scripting language

Remi's Modular repository for Enterprise Linux 8 - x86_64
Name     Stream         Profiles                       Summary
php      remi-7.2       common [d], devel, minimal     PHP scripting language
php      remi-7.3       common [d], devel, minimal     PHP scripting language
php      remi-7.4       common [d], devel, minimal     PHP scripting language

ヒント: [d]efault, [e]nabled, [x]disabled, [i]nstalled
# dnf module reset php
# dnf module install php:remi-7.4
# php -v
PHP 7.4.9 (cli) (built: Aug  4 2020 08:28:13) ( NTS )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies
    with Zend OPcache v7.4.9, Copyright (c), by Zend Technologies

tarコマンドが使えない?

# dnf install tar

警告 オプションのモジュール imagick がインストールされていないか、無効化されています。

警告 オプションのモジュール zip がインストールされていないか、無効化されています。

# dnf install php-imagick
ImageMagick-libs-6.9.10.86-1.el8.x86_64
php-pecl-imagick-3.4.4-10.el8.remi.7.4.x86_64
他多数。
# dnf install php-zip
libzip-1.7.3-1.el8.remi.x86_64 php-pecl-zip-1.19.0-1.el8.remi.7.4.x86_64

残るはあと2つ

停止中のテーマを削除してください セキュリティ

テーマはサイトのデザインを決定します。ブランドの一貫性とサイトの安全性の維持のため、常に更新することが重要です。

サイトのインストール済みテーマ5個はすべて最新版です。

サイトには WordPress のデフォルトテーマ Twenty Twenty と現在有効なテーマ Enough を除いて、3個の停止中のテーマがあります。 サイトのセキュリティ向上のため未使用のテーマは削除することをおすすめします。

※無視。パス!

予約したイベントの実行に失敗しました

予約したイベント inpsyde_phone-home_checkin の実行に失敗しました。サイトは動作しますが、予約した投稿や自動更新は正しく動作しないかもしれません。

5.4.1の頃から原因不明らしい。




コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

CAPTCHA